//---------------------------------------------------------------------------

#ifndef MainUnitH
#define MainUnitH
//---------------------------------------------------------------------------
#include <Classes.hpp>
#include <Controls.hpp>
#include <StdCtrls.hpp>
#include <Forms.hpp>
#include <Dialogs.hpp>
#include "FlashPlayerControl.hpp"
#include <ComCtrls.hpp>
//---------------------------------------------------------------------------
class TMainForm : public TForm
{
__published:	// IDE-managed Components
        TButton *ButtonPlayFLV;
        TButton *ButtonPlaySWF;
        TCheckBox *CheckBoxEnableStandartFlashMenu;
        TCheckBox *CheckBoxEnableSounds;
        TCheckBox *CheckBoxTransparent;
        TButton *ButtonSite;
        TButton *ButtonOrder;
        TOpenDialog *OpenDialogFLV;
        TOpenDialog *OpenDialogSWF;
        TFlashPlayerControl *FlashPlayerControl1;
        TTransparentFlashPlayerControl *TransparentFlashPlayerControl1;
        TLabel *LabelSoundVolume;
        TTrackBar *TrackBarSoundVolume;
        TLabel *Label1;
        TEdit* EditFlashMovieURL;
        TLabel *Label2;
        TLabel *Label3;
        TEdit* EditFLVURL;
        TButton* ButtonPlaySWFFromURL;
        TButton* ButtonPlayFLVFromURL;
        void __fastcall FormCreate(TObject *Sender);
        void __fastcall ButtonOrderClick(TObject *Sender);
        void __fastcall ButtonPlayFLVClick(TObject *Sender);
        void __fastcall ButtonPlaySWFClick(TObject *Sender);
        void __fastcall ButtonSiteClick(TObject *Sender);
        void __fastcall CheckBoxEnableSoundsClick(TObject *Sender);
        void __fastcall CheckBoxEnableStandartFlashMenuClick(
          TObject *Sender);
        void __fastcall CheckBoxTransparentClick(TObject *Sender);
        void __fastcall TrackBarSoundVolumeChange(TObject *Sender);
        void __fastcall ButtonPlaySWFFromURLClick(TObject *Sender);
        void __fastcall ButtonPlayFLVFromURLClick(TObject *Sender);
private:	// User declarations
        bool FPlaySWF;
        AnsiString FFLVPath;

        void __fastcall OnGlobalLoadExternalResource(const WideString URL, Classes::TStream* Stream);
public:		// User declarations
        __fastcall TMainForm(TComponent* Owner);
};
//---------------------------------------------------------------------------
extern PACKAGE TMainForm *MainForm;
//---------------------------------------------------------------------------
#endif
